<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.prime.com.tr/ui"
	xmlns:jsf="http://xmlns.jcp.org/jsf">
	<html>
	<h:body>
<div id="Menu">
		<ui:include src="HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		  
		  
		  <div class="col-md-8">	

					<div class="widget">
							<div class="widget-header transparent">
								<h2>Scheduling a new Training<strong> Session</strong></h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content padding">						
								<div id="horizontal-form">
									<h:form class="form-horizontal" role="form">
									
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Training</label>
										<div class="col-sm-10">
										  <h:selectOneMenu 
										  value="#{seanceBean.seancePk.idTraining}" 
										  class="form-control"
										  id="validateTraining"
										  required="true" 
										  requiredMessage="Please select a training !">
												<f:selectItem itemLabel="please select" itemValue="#{null}" noSelectionOption="true" />
												<f:selectItems value="#{trainingBean.trainings}" var="c"
   													itemLabel="#{c.title}" itemValue="#{c.id}" />
   										  </h:selectOneMenu>
										</div>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateTraining"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Trainer</label>
										<div class="col-sm-10">
     							 					<h:selectOneMenu 
     							 					value="#{seanceBean.seancePk.idTrainer}" 
     							 					class="form-control"
     							 					id="validateTrainer"
										  			required="true" 
										  			requiredMessage="Please select a trainer !">
														<f:selectItem itemLabel="please select" itemValue="#{null}" noSelectionOption="true"/>
														<f:selectItems value="#{trainerBean.trainers}" var="c"
   															itemLabel="#{c}" itemValue="#{c.id}" />
   													</h:selectOneMenu>
										</div>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateTrainer"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									  
									 	<div class="form-group">
												<label class="col-sm-2 control-label">Employees</label>
												<div class="col-sm-10">
									 				 <h:selectManyListbox 
									 				 	value="#{seanceBean.data}" 
									 				 	class="form-control"
									 				 	id="validateEmployee"
										  				required="true" 
										  				requiredMessage="Please select one or many employees !">
  															<f:selectItems value="#{seanceBean.employees}"  var="c"
  															itemLabel="#{c}" itemValue="#{c.id}"/>
									 				 </h:selectManyListbox>
									 			</div>
									 			<div class="col-sm-3"></div>
											<h:message
									  		 for="validateEmployee"
									  		 class="col-sm-3 label label-warning" />
									 			
										</div>
								
									  
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Date</label>
										<div class="col-sm-10">
     							 					<input type="date"
     							 					class="form-control" 
     							 					jsf:value="#{seanceBean.seancePk.dateSeance}" >
     							 					<f:convertDateTime type="date" pattern="yyyy-MM-dd" />
     							 					</input>
										</div>
									  </div>
									  
									  <div class="form-group">
										<label  class="col-sm-2 control-label">Chamber</label>
										<div class="col-sm-10">
										          <h:selectOneMenu 
										          value="#{seanceBean.seance.salle}" 
										          class="form-control" 
										          	id="validateChamber"
										  			required="true" 
										  			requiredMessage="Please select a chamber !">
														<f:selectItem itemLabel="please select" itemValue="#{null}" noSelectionOption="true"/>
   														<f:selectItem itemValue="Conference room" itemLabel="Conference room" />
   														<f:selectItem itemValue="A01" itemLabel="A01" />
   														<f:selectItem itemValue="A02" itemLabel="A02" />
   												 </h:selectOneMenu>
										</div>
										<div class="col-sm-3"></div>
										<h:message
									  		 for="validateChamber"
									  		 class="col-sm-3 label label-warning" />
									  </div>
									 
									  <div class="form-group">
									  
										<div class="col-sm-offset-2 col-sm-10">
										<h:panelGrid columns="2">
											<h:commandLink 
												title="Add"
												action="trainingSessionsManagement.xhtml?faces-redirect=true"
												styleClass="btn btn-info" >
    											<i class="fa fa-plus-circle"></i> Add
												<f:actionListener binding="#{seanceBean.doAddSeanceWithMail()}"/>
											</h:commandLink>
											
											<h:commandButton
												title="Cancel"
												type="reset" 
												styleClass="btn btn-danger" value="Cancel">
											 </h:commandButton>
											
											
											</h:panelGrid>
										</div>
									
									
						
									  </div>
									</h:form>
								</div>
							</div>
						</div>
						
		  	</div>
		  </div>
		<ui:include src="Footer.xhtml" />
		</div>
		</h:body>
		</html>
</ui:composition>